<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>Getty Images API | Documentation, SDK &amp; Sample Code on Getty Images API</title><link>/</link><description>Recent content in Getty Images API | Documentation, SDK &amp; Sample Code on Getty Images API</description><generator>Hugo -- gohugo.io</generator><language>en-us</language><lastBuildDate>Mon, 12 Oct 2020 15:44:57 -0700</lastBuildDate><atom:link href="/index.xml" rel="self" type="application/rss+xml"/><item><title>Authorization</title><link>/docs/authorization/</link><pubDate>Mon, 12 Oct 2020 13:38:28 -0700</pubDate><guid>/docs/authorization/</guid><description>Many Getty Images API operations require authorization. The Getty Images API implements the OAuth 2.0 Authorization Framework to provide authorization to third-party applications and grant access tokens to them.
Once an access token is obtained, it should be reused until it expires. Calling to get a new token more often than needed should be avoided, as those calls are counted against a customer&amp;rsquo;s rate limit.
Tokens obtained via the resource owner and authorization code grants can be refreshed with a refresh token without the need to re-prompt users for their credentials.</description></item><item><title>Search</title><link>/docs/search/</link><pubDate>Mon, 12 Oct 2020 15:51:56 -0700</pubDate><guid>/docs/search/</guid><description>Workflow Make a request against the search endpoint with a search phrase. The search can be performed with or without an access token. To get an access token, see our authorization documentation.
Search for images by phrase Search for images using your Api-Key and a search phrase.
Curl command: curl -X GET -H &amp;quot;Api-Key: &amp;lt;YOUR_API_KEY&amp;gt;&amp;quot; &amp;quot;https://api.gettyimages.com/v3/search/images/creative?phrase=kittens&amp;quot;
JSFiddle Example
Curl command with access token: curl -X GET -H &amp;quot;Api-Key: &amp;lt;YOUR_API_KEY&amp;gt;&amp;quot; -H &amp;quot;Authorization: Bearer &amp;lt;YOUR_ACCESS_TOKEN&amp;gt;&amp;quot; &amp;quot;https://api.</description></item><item><title>Getting Started</title><link>/docs/gettingstarted/</link><pubDate>Mon, 12 Oct 2020 13:57:11 -0700</pubDate><guid>/docs/gettingstarted/</guid><description>Workflow Steps Workflow Steps Get Access Token Access Token Request Access Token Response Search For Images with Largest Downloads field specified Search Request Search Response Download the image using its asset id and product type Download Request Download Response Downloading Via the Returned URI Get Access Token In order to get download links from search you will need to use Client Credentials or Authorization Code to obtain an access_token, and then include that token in all search calls.</description></item><item><title>SAML 2.0 (SSO) Configuration FAQ for other Identity Providers</title><link>/single-sign-on/other/</link><pubDate>Mon, 15 Dec 2025 10:20:49 -0700</pubDate><guid>/single-sign-on/other/</guid><description>Overview Getty Images supports single sign-on (SSO) for customers of the gettyimages.com website, allowing users to authenticate with their organization account and get logged in. See Single Sign-On Configuration for more details on configuring single sign-on with gettyimages.com.
OneLogin Consult OneLogin documentation for more speficics.
GettyImages is not listed in the OneLogin catalog so a custom connector is needed to build a custom application. It is recommended to use a SAML application that supports multiple Assertion Consumer Service URLs if users in multiple locations.</description></item><item><title>SCIM Configuration FAQ for other Identity Providers</title><link>/scim/other/</link><pubDate>Mon, 15 Dec 2025 10:20:49 -0700</pubDate><guid>/scim/other/</guid><description>Overview The System for Cross-domain Identity Management (SCIM) standard allows organizations to manage users in a third-party application. See System for Cross-Domain Identity Management (SCIM) Configuration Guide for more details on configuring SCIM with gettyimages.com.
OneLogin Consult OneLogin documentation for more speficics.
GettyImages is not listed in the OneLogin catalog so a custom connector is needed to build a custom application. It is required to use a SCIM application that uses OAuth.</description></item><item><title>Google SAML 2.0 (SSO) Configuration Guide</title><link>/single-sign-on/google/</link><pubDate>Tue, 22 Jul 2025 16:20:49 -0700</pubDate><guid>/single-sign-on/google/</guid><description>Overview Getty Images supports single sign-on (SSO) for customers of the gettyimages.com website, allowing users to authenticate with their organization account and get logged in.
Supported Features SAML SP-Initiated SSO: POST/Artifact Binding SAML IdP-Initiated SSO: POST Binding JIT (Just-In-Time) User Provisioning with the following SAML attributes First name → http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname Last name → http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname Primary email → http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress Configuration Steps Log in at https://admin.google.com/ac/apps/unified. Set App name and Description of your choice.</description></item><item><title>Generative AI Download Images</title><link>/ai-generation/downloads/</link><pubDate>Thu, 31 Oct 2024 11:20:49 -0700</pubDate><guid>/ai-generation/downloads/</guid><description>Downloading Generated Images Preview size URLs are returned on the GET /v3/ai/image-generations/{generationRequestId} endpoint and the POST /ai/image-generations/* endpoints. If larger sizes are needed, the PUT /v3/ai/image-generations/{generationRequestId}/images/{index}/download and GET /v3/ai/image-generations/{generationRequestId}/images/{index}/download can be used to retrieve different sizes.
Get Access Token In order to generate images you will need to use Client Credentials or Authorization Code to obtain an access token, and then include that token in all calls.
Get Available Download Sizes for Generated Image To determine what sizes are available for a generated image, use the GET /v3/ai/image-generations/{generationRequestId}/images/{index}/download-sizes endpoint.</description></item><item><title>Generative AI Parameters</title><link>/ai-generation/parameters/</link><pubDate>Thu, 31 Oct 2024 11:20:49 -0700</pubDate><guid>/ai-generation/parameters/</guid><description>Refer to Swagger for full AI Generation API technical documentation.
Prompt Guide Prompt Text Knowing how to engineer prompts is instrumental to producing high quality images in generative AI. Prompts are composed of keywords and phrases that describe a subject and its styles. An effective text prompt may have several components, including:
Main subject: the who of the prompt, e.g. Small puppy with a fluffy white tail wearing a red collar.</description></item><item><title>Generative AI Reference Images</title><link>/ai-generation/reference-images/</link><pubDate>Thu, 31 Oct 2024 11:20:49 -0700</pubDate><guid>/ai-generation/reference-images/</guid><description>Generate Images Using Reference Image Many of the Getty Images Generative AI endpoints use a reference image to influence the generated results. Below are examples of using reference images from a variety of sources. Further documentation for each endpoint can be found on Swagger.
Required Polling For all reference image flows, clients will be required to poll the GET /v3/ai/image-generations/{generationRequestId} endpoint after the initial reference image request to ultimately get the successful generation result.</description></item><item><title>Generative AI Extend</title><link>/ai-generation/extend/</link><pubDate>Thu, 22 Jun 2023 16:20:49 -0700</pubDate><guid>/ai-generation/extend/</guid><description>Extend Extend is currently in beta. Quality may vary when extended images are downloaded at the 4K resolution.
Extend, often called “outpainting” on other platforms, enables users to generate content beyond the borders of a previously generated image or an image from the Getty Images creative library (excluding illustrations, fine art and vectors) using text prompts and numerical values, filling in new areas based on the context of the original image.</description></item><item><title>Generative AI Refine</title><link>/ai-generation/refine/</link><pubDate>Thu, 22 Jun 2023 16:20:49 -0700</pubDate><guid>/ai-generation/refine/</guid><description>Refine Refine is currently in beta. Image quality may vary when refining.
The process of refining, often called “inpainting” on other platforms, allows users to mask a region of a previously generated image, or an image from the Getty Images creative library (excluding illustrations, fine art and vectors), and then fill in the region with content described via a text prompt. The mask needs to be made of black and white areas, where white defines the area to be refined and black defines the area to remain untouched.</description></item><item><title>Okta SCIM Configuration Guide</title><link>/scim/okta/</link><pubDate>Thu, 22 Jun 2023 16:20:49 -0700</pubDate><guid>/scim/okta/</guid><description>Overview If your organization uses Okta to manage your employees’ access to tools and services, you can take advantage of Okta’s “Provisioning” feature to automatically grant access to Getty Images to your users. The integration between Okta and Getty Images that enables this provisioning to occur is built around an industry-standard protocol known as SCIM (System for Cross-domain Identity Management). To learn more about how Okta works with SCIM, please see this article.</description></item><item><title>Okta SAML 2.0 (SSO) Configuration Guide</title><link>/single-sign-on/okta/</link><pubDate>Thu, 20 Apr 2023 16:20:49 -0700</pubDate><guid>/single-sign-on/okta/</guid><description>Overview Getty Images supports single sign-on (SSO) for customers of the gettyimages.com website, allowing users to authenticate with their organization account and get logged in.
Supported Features SAML SP-Initiated SSO: POST/Artifact Binding SAML IdP-Initiated SSO: POST Binding JIT (Just-In-Time) User Provisioning with the following SAML attributes email → user.email firstName → user.firstName lastName → user.lastName groupid groupid is a constant value that will be provided to you by Getty Images after we configure an IdP in our system.</description></item><item><title>Getty Images Model Card</title><link>/ai-generation/model-card/</link><pubDate>Wed, 08 Apr 2026 00:00:00 +0000</pubDate><guid>/ai-generation/model-card/</guid><description>Last updated: April, 2026
Model Details Model name: Generative AI by Getty Images Model release date: November, 2025 Model version: Bria Fibo Lite Model summary: Generative AI by Getty Images is a commercially safe service built on a responsibly trained and clean foundational model. Key elements of this commercial safety are: The model was trained on high resolution photography, illustrations, and still images from Getty Images and Bria’s other creative partners, paired with detailed descriptions for each asset.</description></item></channel></rss>